Create new issue

2009-04-21 09:35 - Сергей ??

Status: Closed Start date: 2009-04-21

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Parameters: {"project_id"=>"ets", "action"=>"new", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/new

ActionView::TemplateError (wrong constant name '') on line #3 of app/views/issues/_form_custom_fields.rhtml:

1: <div class="splitcontentleft">

2: <% i = 0 >

3: < split_on = @issue.custom_field_values.size / 2 >

4: < @issue.custom_field_values.each do |value| >

5:     <p><= custom_field_tag_with_label :issue, value ></p>

6: < if i == split_on -%>

History

#1 - 2009-04-21 09:38 - Сергей ??

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/inflector.rb:352:in `const_defined?'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/inflector.rb:352:in `constantize'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/inflector.rb:351:in `each'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/inflector.rb:351:in `constantize'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/core_ext/string/inflections.rb:162:in `constantize'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/belongs_to_polymorphic_association.rb:45:in

`association_class'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/belongs_to_polymorphic_association.rb:26:in

`find_target'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/association_proxy.rb:233:in `load_target'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/association_proxy.rb:112:in `reload'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations.rb:1249:in `customized'

app/models/custom_value.rb:23:in `after_initialize'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/callbacks.rb:318:in `send'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/callbacks.rb:318:in `callback'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:2286:in `initialize'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/reflection.rb:157:in `new'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/reflection.rb:157:in `build_association'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/association_collection.rb:413:in `build_record'

D:/ruby/InstantRails/ruby/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/associations/association_collection.rb:98:in `build'

vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:62:in `custom_field_values'

#2 - 2009-04-24 17:52 - Jean-Philippe Lang

Please, describe how to reproduce.

#3 - 2009-04-27 08:28 - Сергей ??

- Assignee set to Jean-Philippe Lang

It is very easy, it happens when you add custom fields

#4 - 2009-08-18 13:46 - Thomas Lecavelier

- Status changed from New to Closed

- Priority changed from Urgent to Normal

- Resolution set to No feedback

Powered by TCPDF (www.tcpdf.org)

2024-05-03 1/1

https://www.redmine.org/issues/3
http://www.tcpdf.org

